/*
Theme Name:     expositio-child
Description:    child theme of Expositio
Author:         MetMarc
Author URI:		http://www.metmarc.nl
Template:       expositio

(optional values you can add: Theme URI, , Version)
*/

@import url("../expositio/style.css");


/*****AANPASSINGEN*****/

/*font aanpassingen (code uit thema 'Portra' van zelfde developer)*/

body, button, input, select, textarea {
	color: #2d2926;
	font-family: Muli, sans-serif;
	font-size: 18px;
	font-size: 1.8rem;
	font-weight: 400;
	line-height: 28px;
	line-height: 2.8rem;
}

code, kbd, tt, var, samp, pre {
	font-family: monospace, serif;
	font-size: 16px;
	font-size: 1.6rem;
	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	hyphens: none;
	line-height: 26px;
	line-height: 2.6rem;
}

@font-face {
	font-family: portra;
	src: url("fonts/portra.eot?") format("eot"), url("fonts/portra.woff") format("woff"), url("fonts/portra.ttf") format("truetype");
	font-weight: normal;
	font-style: normal;
}

.menu-toggle {
	display: none;
	clear: none;
	float: right;
	margin: 0;
	color: #afb0ae;
	font-family: portra;
	font-size: 30px;
	font-size: 3rem;
	line-height: 30px;
	line-height: 3rem;
	cursor: pointer;
}


/*****AANPASSINGEN in andere bestanden*****/

/*map 'Fonts' met inhoud van thema Portra:
gekopieerd naar expositio-child
*/

/*'404.php' in child theme aangepast:
regel 15 vertaald naar 't Nederlands
*/

/*'header.php' in child theme aangepast:
regel 44 t/m 48 (oorspronkelijk) van
						<?php printf(__('<a href="%s">%s</a> by <a href="%s">%s</a>', 'expositio'),
							'http://wpshower.com/themes/expositio',
							'Expositio',
							'http://wpshower.com/',
							'WPShower'
veranderd (nu alleen regel 44) naar
						<?php printf(__('&#169 Studio Slotboom')
en (oorspronkelijke) regel 52 verwijderd
					<div class="copyright">&#169; 2014</div>
*/

/*aanpassingen om mobile menu weer werkend te krijgen:
alle onderstaande code uit 'Style.css' hier naar toe gekopieerd, en om achtergrondkleur aan te passen de kleurcode op regel 1399 (van het origineel) aangepast naar ##434343
*/

/**
 * 11.0 Media Queries
 * -----------------------------------------------------------------------------
 */

/* Does the same thing as <meta name="viewport" content="width=device-width">,
 * but in the future W3C standard way. -ms- prefix is required for IE10+ to
 * render responsive styling in Windows 8 "snapped" views; IE10+ does not honor
 * the meta tag. See http://core.trac.wordpress.org/ticket/25888.
 */
@-ms-viewport {
	width: device-width;
}

@viewport {
	width: device-width;
}

@media (min-width: 951px) {
	.site {
		height: 100%;
		padding: 40px 20px 40px 250px;
		padding: 4rem 2rem 4rem 25rem;
	}

	.site-header {
		position: fixed;
		top: 0;
		left: 0;
		width: 250px;
		height: 100%;
		padding: 40px 30px 0;
		padding: 4rem 3rem 0;
	}

	body.admin-bar .site-header {
		top: 32px;
	}

	.primary-navigation {
		padding: 20px 0 40px;
		padding: 2rem 0 4rem;
	}

	#top-right-menu {
		margin-top: 20px;
		margin-top: 2rem;
	}

	.nav-menu li {
		opacity: 0;
	}

	.site-navigation > div > ul > li.menu-item-has-children {
		margin-top: 20px;
		margin-top: 2rem;
	}

	.site-navigation > div > ul > li.menu-item-has-children > a {
		font-weight: 700;
	}

	.site-navigation > div > ul ul ul {
		padding-left: 20px;
		padding-left: 2rem;
	}

	.current-menu-item > a {
		font-weight: 700;
	}

	#main {
		height: 100%;
	}

	body.home .hentry {
		height: 100%;
		padding-right: 20px;
		padding-right: 2rem;
	}

	body.home .hentry > a {
		display: inline-block;
		height: 100%;
		height: -moz-calc(100% - 28px);
		height: -webkit-calc(100% - 28px);
		height: calc(100% - 28px);
	}

	body.home .hentry img {
		height: 100%;
		width: auto;
	}

	body.single .hentry {
		padding-bottom: 40px;
		padding-bottom: 4rem;
		max-width: 620px;
	}

	body.page .hentry,
	.page-content {
		padding-bottom: 40px;
		padding-bottom: 4rem;
		max-width: 620px;
	}

	.gallery-animated img {
		cursor: pointer;
	}
}

@media (max-width: 950px) {
	.site-header {
		height: auto !important;
		padding: 10px 20px 30px;
		padding: 1rem 2rem 3rem;
	}

	#header-helper {
		display: none;
	}

	.site-title {
		padding-right: 40px;
		padding-right: 4rem;
	}

	.menu-toggle {
		display: block;
	}

	.menu-toggle.hidden {
		display: none;
	}

	.primary-navigation {
		position: absolute;
		z-index: 9999;
		top: 0;
		left: -84.375%;
		width: 84.375%;
		height: 100%;
		background-color: #434343;
		padding: 10px 20px;
		padding: 1rem 2rem;
		overflow-y: auto;
		-webkit-transition: left 0.3s ease-out;
		-moz-transition: left 0.3s ease-out;
		-o-transition: left 0.3s ease-out;
		transition: left 0.3s ease-out;
	}

	#top-right-menu {
		margin-top: 20px;
		margin-top: 2rem;
	}

	.site-navigation > div > ul > li.menu-item-has-children {
		margin-top: 20px;
		margin-top: 2rem;
	}

	.site-navigation > div > ul > li.menu-item-has-children > a {
		font-weight: 700;
	}

	#wrapper {
		position: relative;
	}

	#wrapper.overflow_fix {
		overflow: hidden;
	}

	.site {
		position: relative;
		left: 0;
		width: 100%;
		min-height: 100%;
	}

	.toggled-on .site {
		left: 84.375%;
		height: 100%;
	}

	.toggled-on .site-footer {
		display: none;
	}

	.primary-navigation a {
		font-size: 22px;
		font-size: 2.2rem;
		line-height: 35px;
		line-height: 3.5rem;
		color: #fff;
	}

	.primary-navigation a:hover {
		border-bottom: 1px solid #fff;
	}

	.toggled-on #navigation-close {
		display: block;
	}

	#main {
		width: 100%;
		padding: 0 20px;
		padding: 0 2rem;
	}

	body.single #primary,
	body.page #main-content {
		padding-left: 20.689655172%;
	}

	body.home .hentry,
	body.home .post-thumbnail,
	body.home .hentry img {
		height: auto;
		width: 100% !important;
	}

	body.home .hentry {
		display: block;
		padding-bottom: 20px;
		padding-bottom: 2rem;
	}

	body.home .hentry:last-of-type {
		padding-bottom: 0;
	}

	body.single #primary,
	body.page #main-content {
		padding-left: 0;
	}

	body.single .hentry,
	body.page .hentry,
	.page-content {
		width: 100%;
		padding-right: 0;
	}

	.post-thumbnail {
		display: block;
	}

	.gallery {
		display: block;
		margin-top: 28px;
		margin-top: 2.8rem;
	}

	.gallery-item {
		display: block;
		width: 100% !important;
		height: auto;
		padding: 0 0 20px;
		padding: 0 0 2rem;
	}

	.gallery-item:last-child {
		padding-bottom: 0;
	}

	.gallery-item img {
		width: 100% !important;
		height: auto;
	}

	.site-footer {
		padding-top: 30px;
		padding-top: 3rem;
	}
}